## hubzero-textifier 1.0.0

=== Makefile ===
# @package      hubzero-textifier
# @file         Makefile
# @author       Steve Snyder <snyder13@purdue.edu>
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBINDIR=$(DESTDIR)/usr/bin
ETCDIR=$(DESTDIR)/etc

INCLUDES=-I/usr/include/poppler
CPPFLAGS=${INCLUDES} -Wno-write-strings -Wall -Wextra -Weffc++ -lcryptopp -lpoppler -lboost_regex -lmysqlpp -lfontconfig -lfreetype -lpthread -lexpat -I/usr/include/mysql

default build all: textifier

textifier: textifier.cpp
	g++ ${CPPFLAGS} $< -o $@

install: build
	install textifier $(USRBINDIR)/textifier --mode 0755
	install textifier.conf $(ETCDIR)/textifier.conf --mode 0644

clean:
	rm -f textifier.o

## hubzero-textifier 1.1.1

=== Makefile ===
--- 
+++ 
@@ -33,13 +33,17 @@
 CPPFLAGS=${INCLUDES} -Wno-write-strings -Wall -Wextra -Weffc++ -lcryptopp -lpoppler -lboost_regex -lmysqlpp -lfontconfig -lfreetype -lpthread -lexpat -I/usr/include/mysql
 
 default build all: textifier
+	@true
 
 textifier: textifier.cpp
 	g++ ${CPPFLAGS} $< -o $@
 
 install: build
-	install textifier $(USRBINDIR)/textifier --mode 0755
-	install textifier.conf $(ETCDIR)/textifier.conf --mode 0644
+	install --mode 0755 -D textifier $(USRBINDIR)/textifier
+	install --mode 0640 -D textifier.conf $(ETCDIR)/textifier.conf
+
+configure:
+	chown root:www-data /etc/textifier.conf
 
 clean:
 	rm -f textifier.o

## hubzero-textifier 1.1.2

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # @file         Makefile
 # @author       Steve Snyder <snyder13@purdue.edu>
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -32,6 +32,11 @@
 INCLUDES=-I/usr/include/poppler
 CPPFLAGS=${INCLUDES} -Wno-write-strings -Wall -Wextra -Weffc++ -lcryptopp -lpoppler -lboost_regex -lmysqlpp -lfontconfig -lfreetype -lpthread -lexpat -I/usr/include/mysql
 
+DISTRIBUTION=$(shell lsb_release -i -s)
+ifneq ($(DISTRIBUTION),Debian)
+CPPFLAGS += -DRHCOMPILE
+endif
+
 default build all: textifier
 	@true

## hubzero-textifier 1.2.0

=== Makefile ===
# @package      hubzero-textifier
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
ETC=$(DESTDIR)/etc

INCLUDES=-I/usr/include/poppler
CPPFLAGS+=${INCLUDES} -Wno-write-strings -Wall -Wextra -Weffc++ -lcryptopp -lpoppler -lboost_regex -lmysqlpp -lpthread -I/usr/include/mysql

DISTRIBUTION=$(shell lsb_release -i -s)

ifneq ($(DISTRIBUTION),Debian)
CPPFLAGS += -DRHCOMPILE
endif

all: textifier
	@true

textifier: textifier.cpp
	g++ ${CXXFLAGS} ${CPPFLAGS} ${LDFLAGS} $< -o $@

install:
	install --mode 0755 -D textifier $(USRBIN)/textifier
	install --mode 0640 -D textifier.conf $(ETC)/textifier.conf

postinst:
	chown root:www-data /etc/textifier.conf

clean:
	rm -f textifier.o textifier

.PHONY: all install postinst clean

## hubzero-textifier 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-textifier
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2012-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -29,9 +29,16 @@
 ETC=$(DESTDIR)/etc
 
 INCLUDES=-I/usr/include/poppler
+DISTRIBUTION=$(shell lsb_release -i -s)
+MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
+
 CPPFLAGS+=${INCLUDES} -Wno-write-strings -Wall -Wextra -Weffc++ -lcryptopp -lpoppler -lboost_regex -lmysqlpp -lpthread -I/usr/include/mysql
 
-DISTRIBUTION=$(shell lsb_release -i -s)
+ifeq ($(DISTRIBUTION),Debian)
+ifeq ($(MAJORVERSION),8)
+CPPFLAGS+=-std=c++11 -lboost_filesystem -lboost_system `pkg-config --cflags glib-2.0` `pkg-config --cflags cairo` `pkg-config --cflags poppler-glib` `pkg-config --libs cairo` `pkg-config --libs glib-2.0` `pkg-config --libs poppler-glib` -DV46
+endif
+endif
 
 ifneq ($(DISTRIBUTION),Debian)
 CPPFLAGS += -DRHCOMPILE
@@ -47,10 +54,13 @@
 	install --mode 0755 -D textifier $(USRBIN)/textifier
 	install --mode 0640 -D textifier.conf $(ETC)/textifier.conf
 
+uninstall:
+	@true
+
 postinst:
 	chown root:www-data /etc/textifier.conf
 
 clean:
 	rm -f textifier.o textifier
 
-.PHONY: all install postinst clean
+.PHONY: all install uninstall postinst clean

## hubzero-textifier 2.0.0

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,28 @@
 # @package      hubzero-textifier
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
-# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
-# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
 #
-# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
-# software: you can redistribute it and/or modify it under the terms of
-# the GNU Lesser General Public License as published by the Free Software
-# Foundation, either version 3 of the License, or (at your option) any
-# later version.
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
 #
-# HUBzero is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #

## hubzero-textifier 2.1.1-1+deb7

=== debian/changelog ===
hubzero-textifier (2.1.1-1+deb7) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 12:40:55 -0400

hubzero-textifier (2.1.0-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 12:05:12 -0400

hubzero-textifier (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 10 Sep 2015 11:36:27 -0400

hubzero-textifier (1.3.1-1) unstable; urgency=low

  * made compatible with debian 8

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 10 Sep 2015 11:02:44 -0400

hubzero-textifier (1.3.0-1) unstable; urgency=low

  * update version number for diego repo

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 30 Aug 2015 15:50:07 -0400

hubzero-textifier (1.2.0-1) unstable; urgency=low

  * Update packaging, copyrights

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 06 Sep 2014 15:42:58 -0400

hubzero-textifier (1.1.2-1) unstable; urgency=low

  * Update copyright statements 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 17 Aug 2013 16:54:11 -0400

hubzero-textifier (1.1.1-1) unstable; urgency=low

  * fix default insert statement in config file to match current schema 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 11:48:12 -0400

hubzero-textifier (1.1.0-1) unstable; urgency=low

  * clean up packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Sep 2012 23:02:29 -0400

hubzero-textifier (1.0.0-1) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 04 Sep 2012 15:11:03 -0400

=== debian/control ===
Source: hubzero-textifier
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), libmysql++-dev, libcrypto++-dev, libpoppler-dev, libboost-regex-dev, libboost-filesystem-dev   
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-textifier
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero textifier
 Converts various file formats into pure text and stores it in a database 
 field to use in search indexing.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-textifier
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-textifier install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a -X /etc/textifier.conf
	chown root:www-data $(CURDIR)/debian/hubzero-textifier/etc/textifier.conf
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#binary: binary-indep 
binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-textifier 2.1.1-1+deb8

=== debian/changelog ===
hubzero-textifier (2.1.1-1+deb8) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 12:40:55 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), libmysql++-dev, libcrypto++-dev, libpoppler-dev, libboost-regex-dev, libboost-filesystem-dev   
+Build-Depends: debhelper (>= 8.0.0), libmysql++-dev, libcrypto++-dev, libpoppler-dev, libboost-regex-dev, libboost-filesystem-dev   , libpoppler-glib-dev
 Standards-Version: 3.8.4
 Homepage: http://hubzero.org

## hubzero-textifier 2.2.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-textifier
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

## hubzero-textifier 2.2.3-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-textifier
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 USRBIN=$(DESTDIR)/usr/bin

=== debian/changelog ===
hubzero-textifier (2.2.3-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 18 Aug 2020 22:36:03 -0700

hubzero-textifier (2.2.2-1) unstable; urgency=low

  * add missing parameter to TextOutputDev

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 04 May 2020 12:59:31 -0700

hubzero-textifier (2.2.1-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Sun, 03 May 2020 17:43:51 -0700

hubzero-textifier (2.2.0-1) unstable; urgency=low

  * minor packaging update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 12 Apr 2018 16:50:27 -0400

hubzero-textifier (2.1.1-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 12 Apr 2018 12:40:55 -0400

=== debian/control ===

Source: hubzero-textifier
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0), libmysql++-dev, libcrypto++-dev, libpoppler-dev, libboost-regex-dev, libboost-filesystem-dev     
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-textifier
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero textifier CMS helper
 Converts various file formats into pure text and stores it in a database 
 field to use in search indexing.

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-textifier
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
